<!DOCTYPE html>
<html>
    <head>
        <title>DASHBOARD | ACADEMY TALES</title>
        <meta charset="utf-8">
        <link rel="shortcut icon" type="image/png" href="/assets/img/logo.png"/>
        <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Domine" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="/assets/css/uikit.min.css" />
        <script src="/assets/js/uikit.min.js"></script>
        <script src="/assets/js/uikit-icons.min.js"></script>
        <style>
            * {
                font-family: 'Roboto', sans-serif!important;
                /*border-radius: 5px!important;*/
            }
            ul li {
              font-family: 'Raleway', sans-serif!important;
            }
            .uk-border-circle {
                border-radius: 100%!important;
            }
            h1, h1>span, h2, h3, h4 {
                font-family: 'Domine', serif!important;
            }
            .uk-navbar-item, .uk-navbar-nav>li>a, .uk-navbar-toggle {
                min-height: 60px!important;
            }
            .uk-card {
                border-radius: 10px;
            }
            .uk-card-media-left {
                border-bottom-left-radius: 10px;
                border-top-left-radius: 10px;
            }
        </style>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-149717145-1">
        </script>
        <script>
          window.dataLayer = window.dataLayer || [];
          function gtag(){dataLayer.push(arguments);}
          gtag('js', new Date());

          gtag('config', 'UA-149717145-1');
        </script>
    </head>
    <body>
        <div class="uk-margin-remove uk-grid-collapse" uk-grid>
            <div class="uk-width-1-6 uk-visible@m uk-height-viewport uk-background-secondary uk-box-shadow-xlarge" style="max-height: 100vh; overflow: auto; background: #162c42; color: #fff !important;">
                <nav class="uk-box-shadow-medium uk-navbar-container uk-navbar-sticky uk-navbar-transparent uk-light" style="background: #0f161c;" uk-navbar uk-sticky="sel-target: .uk-navbar-container; cls-active: uk-navbar-sticky">
                  <div class="uk-navbar-left">
                      <ul class="uk-navbar-nav">
                          <li class="uk-active uk-padding-remove uk-margin-remove"><a href="#"><img src="/assets/img/logo.png" style="height: 40px;">&nbsp;Classroom</a></li>
                      </ul>
                  </div>
                </nav>
                <div class="">
                    <ul class="uk-list uk-list-large uk-light uk-padding">
                        <li><a href="#"><span uk-icon="icon: file-text"></span> Subjects</a></li>
                        <!-- <li><a href="#"><span uk-icon="icon: world"></span> Cores</a></li> -->
                        <!-- <li><a href="#"><span uk-icon="icon: user"></span> Profile</a></li> -->
                        <!-- <li><a href="#"><span uk-icon="icon: cog"></span> Settings</a></li> -->
                        <li><a href="/logout"><span uk-icon="icon: sign-out"></span> Logout</a></li>
                    </ul>
                </div>
            </div>
            <div class="uk-position-relative uk-width-5-6@m uk-width-1-1@m uk-height-viewport" style="max-height: 100vh; overflow: auto; background: #f0f2ff;">
                <nav class="uk-box-shadow-medium uk-navbar-container uk-navbar-sticky uk-navbar-transparent uk-light" style="background: rgb(4, 64, 98);" uk-navbar uk-sticky="sel-target: .uk-navbar-container; cls-active: uk-navbar-sticky">
                  <div class="uk-navbar-left">
                      <ul class="uk-navbar-nav">
                          <li class="uk-active uk-padding-remove uk-margin-remove"><a href="/"><span uk-icon="icon: home; ratio: 1.2"></span></a></li>
                      </ul>
                  </div>
                  <div class="uk-navbar-right">
                      <ul class="uk-navbar-nav">
                          <li class="uk-active uk-padding-remove uk-margin-remove">
                            <button class="uk-button uk-margin-right uk-button-text" type="button"><span uk-icon="icon: cog"></span></button>
                            <div uk-dropdown="mode: click">
                                <ul class="uk-nav uk-dropdown-nav">
                                    <li class="uk-nav-header uk-text-bold">Profile</li>
                                    <!-- <li><a href="#">Item</a></li> -->
                                    <li class="uk-nav-divider"></li>
                                    <li><a class="uk-text-success" href="#"><span uk-icon="icon: album"></span> View Progress</a></li>
                                    <li><a href="#" class="uk-text-danger"><span uk-icon="icon: sign-out"></span> Sign Out</a></li>
                                </ul>
                            </div>
                        </li>
                      </ul>
                  </div>
                </nav>
                <div class="uk-align-center uk-margin-medium-top uk-margin-auto">
                    
                    <div id="subjects-view" class="uk-padding">
                        <h2 class="uk-h2">Your Subjects</h2>
                        <hr class="uk-divider-small">

                        <!-- <div class="uk-card uk-card-default uk-grid-collapse uk-margin" uk-grid>
                            <div class="uk-card-media-left uk-cover-container uk-width-1-4@m uk-width-1-1@s">
                                <img src="${subject.data().description.image}" alt="" uk-cover>
                                <canvas width="450" height="300"></canvas>
                            </div>
                            <div class="uk-width-3-4@m">
                                <div class="uk-card-body">
                                    <h3 class="uk-card-title uk-text-capitalize">${subject.id.replace('-', ' ').toLowerCase()}</h3>
                                    <div class="uk-container uk-container-small uk-visible@m"><p class="uk-text-truncate">${subject.data().description.desc}</p></div>
                                    <button class="read-more uk-visible@m uk-button uk-button-text uk-text-lowercase uk-text-small uk-text-primary">Read more...</button>
                                    <div class="uk-text-right">
                                        <a href="/test/${subject.id.replace(' ', '-').toLowerCase()}" class="uk-button uk-button-text">Take a Test</a>
                                        &nbsp;
                                        <a href="/classroom/${subject.id.replace(' ', '-').toLowerCase()}" class="uk-button uk-button-secondary uk-border-rounded">Start Learning <span uk-icon="icon: arrow-right"></span></a>
                                    </div>
                                </div>
                            </div>
                        </div> -->
                    </div>
                    <div class="uk-margin"></div>

                </div>
                <!-- <div class="uk-section">
                    <div class="uk-text-center">Highschool Online &copy; 2019</div>
                </div> -->
            </div>
        </div>

        <div style="height: 100vh; width: 100vw; background: #e5e2ee; display: block!important; position: fixed; top: 0; z-index: 1000000; border-radius: 0px!important; padding: 0px; margin: 0px;" class="preload-screen uk-margin-remove uk-padding-remove">
            <progress value="10" max="100" class="uk-width-1-1 uk-margin-remove uk-padding-remove uk-progress" style="height: 5px"></progress>
            <div class="uk-align-center uk-position-center"><img src="/assets/img/preloader.gif"></div>
        </div>
        <!--Start of Tawk.to Script-->
        <script type="text/javascript">
        var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
        (function(){
        var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
        s1.async=true;
        s1.src='https://embed.tawk.to/5f1db8ba5e51983a11f5d453/default';
        s1.charset='UTF-8';
        s1.setAttribute('crossorigin','*');
        s0.parentNode.insertBefore(s1,s0);
        })();
        </script>
        <!--End of Tawk.to Script-->
    </body>

    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-firestore.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-storage.js"></script>
    <script src="/assets/js/config.js"></script>
    <!-- <script src="/assets/js/admin.js"></script> -->
    <script>
        $().ready(function() {

        })

        firebase.auth().onAuthStateChanged(function(user) {
            if (user) {
                // console.log(user.uid)
                firebase.firestore().collection('users').doc(user.uid).get()
                .then(function(doc) {
                    for( var x in doc.data().subjects) {
                        firebase.firestore().collection('subjects').doc(x).get()
                        .then(function(subject) {
                            if (subject.exists) {
                                // console.log(subject.data())
                                $('[id="subjects-view"]').append(`
                                    <div class="uk-card uk-card-default uk-grid-collapse uk-margin" uk-grid>
                                        <div class="uk-card-media-left uk-cover-container uk-width-1-4@m uk-width-1-1@s">
                                            <img src="${subject.data().description.image}" alt="" uk-cover>
                                            <canvas width="450" height="300"></canvas>
                                        </div>
                                        <div class="uk-width-3-4@m">
                                            <div class="uk-card-body">
                                                <h3 class="uk-card-title uk-text-capitalize">${subject.id.replace('-', ' ').toLowerCase()}</h3>
                                                <div class="uk-container uk-container-small uk-visible@m"><p class="uk-text-truncate">${subject.data().description.desc}</p></div>
                                                <button class="read-more uk-visible@m uk-button uk-button-text uk-text-lowercase uk-text-small uk-text-primary">Read more...</button>
                                                <div class="uk-text-right">
                                                    <a href="/test/${subject.id.replace(' ', '-').toLowerCase()}" class="uk-button uk-button-text">Take a Test</a>
                                                    &nbsp;
                                                    <a href="/classroom/${subject.id.replace(' ', '-').toLowerCase()}" class="uk-button uk-button-secondary uk-border-rounded">Start Learning <span uk-icon="icon: arrow-right"></span></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>`
                                )
                            } else {
                                // console.log(subject.id)
                            }
                        })
                    }
                })
                .then(function() {
                    $('progress').val(100)
                    $('.preload-screen').delay(700).fadeOut(200)
                })
            } else {
                window.location.href = '/sign-in'
            }
        })

        firebase.firestore().collection('cores').get()
        .then(function (col) {
            col.forEach(function(core) {
                let subject = core
                $('[id="subjects-view"]').append(`
                    <div class="uk-card uk-card-default uk-grid-collapse uk-margin" uk-grid>
                        <div class="uk-card-media-left uk-cover-container uk-width-1-4@m uk-width-1-1@s">
                            <img src="${subject.data().description.image}" alt="" uk-cover>
                            <canvas width="450" height="300"></canvas>
                        </div>
                        <div class="uk-width-3-4@m">
                            <div class="uk-card-body">
                                <h3 class="uk-card-title uk-text-capitalize">${subject.id.replace('-', ' ').toLowerCase()}</h3>
                                <div class="uk-container uk-container-small uk-visible@m"><p class="uk-text-truncate">${subject.data().description.desc}</p></div>
                                <button class="read-more uk-visible@m uk-button uk-button-text uk-text-lowercase uk-text-small uk-text-primary">Read more...</button>
                                <div class="uk-text-right">
                                    <a href="/test/${subject.id.replace(' ', '-').toLowerCase()}" class="uk-button uk-button-text">Take a Test</a>
                                    &nbsp;
                                    <a href="/classroom/${subject.id.replace(' ', '-').toLowerCase()}" class="uk-button uk-button-secondary uk-border-rounded">Start Learning <span uk-icon="icon: arrow-right"></span></a>
                                </div>
                            </div>
                        </div>
                    </div>`
                )
            })
        })

        $('[id="subjects-view"]').on('click', '.read-more', function(e) {
            e.preventDefault()
            $(this).parents('.uk-card-body').find('p').toggleClass('uk-text-truncate')
        })
    </script>

</html>